For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.meetstream.ai/api-reference/ap-is/transcription/llms.txt. For full documentation content, see https://docs.meetstream.ai/api-reference/ap-is/transcription/llms-full.txt.

# Transcriptions

GET https://api.meetstream.ai/api/v1/bots/{bot_id}/transcriptions

Reference: https://docs.meetstream.ai/api-reference/ap-is/transcription/get-bot-transcriptions

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Meetstream API
  version: 1.0.0
paths:
  /api/v1/bots/{bot_id}/transcriptions:
    get:
      operationId: get-bot-transcriptions
      summary: Transcriptions
      tags:
        - subpackage_transcription
      parameters:
        - name: bot_id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: 'Format: Token <your_api_key>'
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BotTranscriptionsResponse'
servers:
  - url: https://api.meetstream.ai
components:
  schemas:
    BotTranscriptionsResponseTranscriptionsItemsStatus:
      type: string
      enum:
        - Success
        - Processing
        - Failed
      title: BotTranscriptionsResponseTranscriptionsItemsStatus
    BotTranscriptionsResponseTranscriptionsItemsDownloadUrls:
      type: object
      properties:
        raw_transcript:
          type: string
          description: Pre-signed S3 URL for the raw transcript. Valid for 1 hour.
        processed_transcript:
          type: string
          description: Pre-signed S3 URL for the processed transcript. Valid for 1 hour.
      title: BotTranscriptionsResponseTranscriptionsItemsDownloadUrls
    BotTranscriptionsResponseTranscriptionsItems:
      type: object
      properties:
        transcript_id:
          type: string
        provider:
          type: string
        status:
          $ref: >-
            #/components/schemas/BotTranscriptionsResponseTranscriptionsItemsStatus
        created_at:
          type: string
        config:
          type: object
          additionalProperties:
            description: Any type
        download_urls:
          oneOf:
            - $ref: >-
                #/components/schemas/BotTranscriptionsResponseTranscriptionsItemsDownloadUrls
            - type: 'null'
      title: BotTranscriptionsResponseTranscriptionsItems
    BotTranscriptionsResponse:
      type: object
      properties:
        bot_id:
          type: string
        transcriptions:
          type: array
          items:
            $ref: '#/components/schemas/BotTranscriptionsResponseTranscriptionsItems'
      title: BotTranscriptionsResponse
  securitySchemes:
    TokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'Format: Token <your_api_key>'

```

## SDK Code Examples

```python
import requests

url = "https://api.meetstream.ai/api/v1/bots/bot_id/transcriptions"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.meetstream.ai/api/v1/bots/bot_id/transcriptions';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.meetstream.ai/api/v1/bots/bot_id/transcriptions"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.meetstream.ai/api/v1/bots/bot_id/transcriptions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.meetstream.ai/api/v1/bots/bot_id/transcriptions")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.meetstream.ai/api/v1/bots/bot_id/transcriptions', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.meetstream.ai/api/v1/bots/bot_id/transcriptions");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.meetstream.ai/api/v1/bots/bot_id/transcriptions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```